core::TLSServerSocket Class Reference

`#include <TLSServerSocket.h>`

Inheritance diagram for core::TLSServerSocket:
[legend]
Collaboration diagram for core::TLSServerSocket:
[legend]

## Public Member Functions

| TLSServerSocket (EPoll &ePoll, Service service, IPAddress address)
| ~TLSServerSocket ()
Public Member Functions inherited from core::TCPServerSocket
| TCPServerSocket (EPoll &ePoll, Service &service, IPAddress address)
| ~TCPServerSocket ()
Public Member Functions inherited from core::TCPSocket
| TCPSocket (EPoll &ePoll)
void | connect (IPAddress &address)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll)
void | shutdown ()
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual void | output (Session *session)
void | setName (std::string name)
std::string | getName ()

## Additional Inherited Members

Public Attributes inherited from core::TCPServerSocket
Service & | service
IPAddressList * | blackList
IPAddressList * | whiteList
Public Attributes inherited from core::TCPSocket
IPAddress | ipAddress
Public Attributes inherited from core::Socket
class {
} | bufferSize
Public Attributes inherited from core::Object
std::string | name
std::string | tag
Protected Member Functions inherited from core::TCPServerSocket
void | onDataReceived (std::string data) override
int | processCommand (std::string command, Session *session, std::stringstream &data) override
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
virtual void | onTLSInit ()
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Detailed Description

TLSServerSocket

Manage a socket connection as a TLS server type. Connections to the socket are processed through the accept functionality.

## Constructor & Destructor Documentation

## TLSServerSocket()

core::TLSServerSocket::TLSServerSocket | ( | EPoll & | ePoll,
|  | Service | service,
|  | IPAddress | address
| ) |  |

The constructor for the BMATLSSocket object.

Parameters

  ePoll | the BMAEPoll instance that manages the socket.
  url | the IP address for the socket to receive connection requests.
  port | the port number that the socket will listen on.
  commandName | the name of the command used to invoke the status display for this object.

Returns
  the instance of the BMATLSServerSocket.

## ~TLSServerSocket()

core::TLSServerSocket::~TLSServerSocket | ( |  | ) |

The destructor for this object.

The documentation for this class was generated from the following files:

- /home/bradarant/barant/ServerCore/TLSServerSocket.h
- /home/bradarant/barant/ServerCore/TLSServerSocket.cpp